hep.aida

## Interface IAxis

- All Superinterfaces:
    java.io.Serializable
  All Known Implementing Classes:
    FixedAxis, VariableAxis

      public interface IAxis
      extends java.io.Serializable

  An IAxis represents a binned histogram axis. A 1D Histogram would have one Axis representing the X axis, while a 2D Histogram would have two axes representing the X and Y Axis.
  Version:
    1.0, 23/03/2000

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `serialVersionUID`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `binCentre(int index)` Centre of the bin specified.
    `double` | `binLowerEdge(int index)` Lower edge of the specified bin.
    `int` | `bins()` The number of bins (excluding underflow and overflow) on the axis.
    `double` | `binUpperEdge(int index)` Upper edge of the specified bin.
    `double` | `binWidth(int index)` Width of the bin specified.
    `int` | `coordToIndex(double coord)` Converts a coordinate on the axis to a bin number.
    `double` | `lowerEdge()` Lower axis edge.
    `double` | `upperEdge()` Upper axis edge.

- - ### Field Detail

    - #### serialVersionUID

          static final long serialVersionUID

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### binCentre

          double binCentre(int index)

      Centre of the bin specified.
      Parameters:
        `index` - Bin number (0...bins()-1) or OVERFLOW or UNDERFLOW.

    - #### binLowerEdge

          double binLowerEdge(int index)

      Lower edge of the specified bin.
      Parameters:
        `index` - Bin number (0...bins()-1) or OVERFLOW or UNDERFLOW.
      Returns:
        the lower edge of the bin; for the underflow bin this is `Double.NEGATIVE_INFINITY`.

    - #### bins

          int bins()

      The number of bins (excluding underflow and overflow) on the axis.

    - #### binUpperEdge

          double binUpperEdge(int index)

      Upper edge of the specified bin.
      Parameters:
        `index` - Bin number (0...bins()-1) or OVERFLOW or UNDERFLOW.
      Returns:
        the upper edge of the bin; for the overflow bin this is `Double.POSITIVE_INFINITY`.

    - #### binWidth

          double binWidth(int index)

      Width of the bin specified.
      Parameters:
        `index` - Bin number (0...bins()-1) or OVERFLOW or UNDERFLOW.

    - #### coordToIndex

          int coordToIndex(double coord)

      Converts a coordinate on the axis to a bin number. If the coordinate is < lowerEdge returns UNDERFLOW, and if the coordinate is >= upperEdge returns OVERFLOW.

    - #### lowerEdge

          double lowerEdge()

      Lower axis edge.

    - #### upperEdge

          double upperEdge()

      Upper axis edge.

Jump to the Colt Homepage